#
# spec file for package python-httpretty
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-httpretty
Version:        0.8.8
Release:        5.1
Summary:        HTTP client mock for Python
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/gabrielfalcao/httpretty
Source:         https://pypi.python.org/packages/source/h/httpretty/httpretty-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements
#BuildRequires:  python-httplib2
#BuildRequires:  python-requests
#BuildRequires:  python-sure
BuildRequires:  python-urllib3
Requires:       python-urllib3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This libary allows mocking of http protocol based
unit tests.

%prep
%setup -q -n httpretty-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# crazy deps still
%if 0
%check
python setup.py test
%endif

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Wed Apr 22 2015 mcihar@suse.cz
- Update to 0.8.8:
  * many changes
* Wed Jul 23 2014 mcihar@suse.cz
- Upgrate to 0.8.3:
  * various minor fixes
* Mon Feb 17 2014 speilicke@suse.com
- Drop old tarball
* Mon Feb 17 2014 dmueller@suse.com
- update to 0.8.0:
  * This new version brings Python 3 support, leaner requirements
- remove deps-cleanup.diff
* Fri Jan 17 2014 speilicke@suse.com
- Update to version 0.7.1:
  + Bug fix: POST requests being called twice #100
- Rebased deps-cleanup.diff
* Mon Oct 28 2013 speilicke@suse.com
- Don't install global "tests" module into python_sitelib
* Mon Oct 21 2013 dmueller@suse.com
- update to 0.7.0:
  * Refactored core.py and increased its unit test coverage to 80%%.
  HTTPretty is slightly more robust now
* Thu Sep 26 2013 dmueller@suse.com
- update to 0.6.4:
  * Add a way to match the querystrings
* Mon Sep  2 2013 dmueller@suse.com
- Initial package (0.6.3)
